package com.ruoyi.ibs.grid.service;

import com.fasterxml.jackson.databind.JsonNode;
import com.ruoyi.ibs.grid.domain.dto.BaiduResponseDTO;

public interface BaiduApiService {

    BaiduResponseDTO geocoding(String address);

    JsonNode geocoding(String address, String ak);

    JsonNode placeSearch(String region,String address);

    JsonNode placeSearch(String address);

}
